<template>
  <button @click="login" v-if="!isAuth">Login</button>
  <button @click="logout" v-if="isAuth">Logout</button>
  <p>{{ testAuth }}</p>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  methods: {
    ...mapActions({
      login: 'login',
      logout: 'logout',
    }),
  },
  computed: {
    isAuth() {
      return this.$store.getters.userIsAuthenticated;
    },
    testAuth() {
      return this.$store.getters.testAuth;
    },
  },
};
</script>
